package com.steering.pss.judge.model;

/**
 * 数据库表MAT_BC_QCMTRACK所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-04-14
 */
@SuppressWarnings("serial")
public class MatBcQcmtrackEntity implements java.io.Serializable {
    /**
     * 材料号(若是分切子管:母管+1位序号)
     */
    private String matNo = "";
    /**
     * 工序代码
     */
    private String processCdoe = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 物料码
     */
    private String materialNo = "";
    /**
     * 物料描叙
     */
    private String materialName = "";
    /**
     * 申请判定单号
     */
    private String jugdeApplyCode = "";
    /**
     * 申请判定时间
     */
    private String jugdeApplyTime = "";
    /**
     * 申请人
     */
    private String jugdeApplyMaker = "";
    /**
     * 工序判定单号
     */
    private String jugdeConvicted = "";
    /**
     * 工序判定标准集合（CIC+PIC+SIC==)
     */
    private String judgeStdDes = "";
    /**
     * 工序判定结果代码
     */
    private String judgeResultCode = "";
    /**
     * 工序判定时间
     */
    private String judgeResultTime = "";
    /**
     * 工序判定人
     */
    private String judgeMaker = "";
    /**
     * 工序判定备注
     */
    private String judgeMemo = "";
    /**
     * 质量放行单号
     */
    private String passApplyNo = "";
    /**
     * 质量放行申请科室代码
     */
    private String unitCode = "";
    /**
     * 质量放行申请科室名称
     */
    private String unitDesc = "";
    /**
     * 质量放行申请时间
     */
    private String applyTime = "";
    /**
     * 质量放行处置结果
     */
    private String auditResult = "";
    /**
     * 质量放行备注
     */
    private String auditMemo = "";
    /**
     * 质量审核科室
     */
    private String auditUnit = "";
    /**
     * 质量审核人
     */
    private String auditName = "";
    /**
     * 质量审核时间
     */
    private String auditTime = "";
    /**
     * 综合判定单号
     */
    private String jugdeTolconvicted = "";
    /**
     * 综合判定标准集合（CIC+PIC+SIC==)工艺文件中交货标准集合
     */
    private String judgeTolstdDes = "";
    /**
     * 综合判定结果代码

     */
    private String judgeTolresultCode = "";
    /**
     * 综合判定时间
     */
    private String judgeTolresultTime = "";
    /**
     * 综合判定人
     */
    private String judgeTolmaker = "";
    /**
     * 综合判定备注
     */
    private String judgeTolmemo = "";
    /**
     * 表面结果代码
     */
    private String faceResultCode = "";
    /**
     * 公差结果代码
     */
    private String specResultCode = "";
    /**
     * 成分结果代码
     */
    private String chemResultCode = "";
    /**
     * 理化结果代码
     */
    private String phyResultCode = "";
    /**
     * 探伤结果代码
     */
    private String detectResultCode = "";
    /**
     * 水压结果代码
     */
    private String wpressureResultCode = "";
    /**
     * 加工结果代码
     */
    private String processResultCode = "";

    

	/**
     * 材料号(若是分切子管:母管+1位序号)
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号(若是分切子管:母管+1位序号)
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCdoe() {
        return processCdoe;
    }

    /**
     * 工序代码
     * @param processCdoe value
     */
    public void setProcessCdoe(String processCdoe) {
        this.processCdoe = processCdoe;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 物料码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描叙
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描叙
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 申请判定单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 申请判定单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 申请判定时间
     * @return value
     */
    public String getJugdeApplyTime() {
        return jugdeApplyTime;
    }

    /**
     * 申请判定时间
     * @param jugdeApplyTime value
     */
    public void setJugdeApplyTime(String jugdeApplyTime) {
        this.jugdeApplyTime = jugdeApplyTime;
    }

    /**
     * 申请人
     * @return value
     */
    public String getJugdeApplyMaker() {
        return jugdeApplyMaker;
    }

    /**
     * 申请人
     * @param jugdeApplyMaker value
     */
    public void setJugdeApplyMaker(String jugdeApplyMaker) {
        this.jugdeApplyMaker = jugdeApplyMaker;
    }

    /**
     * 工序判定单号
     * @return value
     */
    public String getJugdeConvicted() {
        return jugdeConvicted;
    }

    /**
     * 工序判定单号
     * @param jugdeConvicted value
     */
    public void setJugdeConvicted(String jugdeConvicted) {
        this.jugdeConvicted = jugdeConvicted;
    }

    /**
     * 工序判定标准集合（CIC+PIC+SIC==)
     * @return value
     */
    public String getJudgeStdDes() {
        return judgeStdDes;
    }

    /**
     * 工序判定标准集合（CIC+PIC+SIC==)
     * @param judgeStdDes value
     */
    public void setJudgeStdDes(String judgeStdDes) {
        this.judgeStdDes = judgeStdDes;
    }

    /**
     * 工序判定结果代码
     * @return value
     */
    public String getJudgeResultCode() {
        return judgeResultCode;
    }

    /**
     * 工序判定结果代码
     * @param judgeResultCode value
     */
    public void setJudgeResultCode(String judgeResultCode) {
        this.judgeResultCode = judgeResultCode;
    }

    /**
     * 工序判定时间
     * @return value
     */
    public String getJudgeResultTime() {
        return judgeResultTime;
    }

    /**
     * 工序判定时间
     * @param judgeResultTime value
     */
    public void setJudgeResultTime(String judgeResultTime) {
        this.judgeResultTime = judgeResultTime;
    }

    /**
     * 工序判定人
     * @return value
     */
    public String getJudgeMaker() {
        return judgeMaker;
    }

    /**
     * 工序判定人
     * @param judgeMaker value
     */
    public void setJudgeMaker(String judgeMaker) {
        this.judgeMaker = judgeMaker;
    }

    /**
     * 工序判定备注
     * @return value
     */
    public String getJudgeMemo() {
        return judgeMemo;
    }

    /**
     * 工序判定备注
     * @param judgeMemo value
     */
    public void setJudgeMemo(String judgeMemo) {
        this.judgeMemo = judgeMemo;
    }

    /**
     * 质量放行单号
     * @return value
     */
    public String getPassApplyNo() {
        return passApplyNo;
    }

    /**
     * 质量放行单号
     * @param passApplyNo value
     */
    public void setPassApplyNo(String passApplyNo) {
        this.passApplyNo = passApplyNo;
    }

    /**
     * 质量放行申请科室代码
     * @return value
     */
    public String getUnitCode() {
        return unitCode;
    }

    /**
     * 质量放行申请科室代码
     * @param unitCode value
     */
    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    /**
     * 质量放行申请科室名称
     * @return value
     */
    public String getUnitDesc() {
        return unitDesc;
    }

    /**
     * 质量放行申请科室名称
     * @param unitDesc value
     */
    public void setUnitDesc(String unitDesc) {
        this.unitDesc = unitDesc;
    }

    /**
     * 质量放行申请时间
     * @return value
     */
    public String getApplyTime() {
        return applyTime;
    }

    /**
     * 质量放行申请时间
     * @param applyTime value
     */
    public void setApplyTime(String applyTime) {
        this.applyTime = applyTime;
    }

    /**
     * 质量放行处置结果
     * @return value
     */
    public String getAuditResult() {
        return auditResult;
    }

    /**
     * 质量放行处置结果
     * @param auditResult value
     */
    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    /**
     * 质量放行备注
     * @return value
     */
    public String getAuditMemo() {
        return auditMemo;
    }

    /**
     * 质量放行备注
     * @param auditMemo value
     */
    public void setAuditMemo(String auditMemo) {
        this.auditMemo = auditMemo;
    }

    /**
     * 质量审核科室
     * @return value
     */
    public String getAuditUnit() {
        return auditUnit;
    }

    /**
     * 质量审核科室
     * @param auditUnit value
     */
    public void setAuditUnit(String auditUnit) {
        this.auditUnit = auditUnit;
    }

    /**
     * 质量审核人
     * @return value
     */
    public String getAuditName() {
        return auditName;
    }

    /**
     * 质量审核人
     * @param auditName value
     */
    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    /**
     * 质量审核时间
     * @return value
     */
    public String getAuditTime() {
        return auditTime;
    }

    /**
     * 质量审核时间
     * @param auditTime value
     */
    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    /**
     * 综合判定单号
     * @return value
     */
    public String getJugdeTolconvicted() {
        return jugdeTolconvicted;
    }

    /**
     * 综合判定单号
     * @param jugdeTolconvicted value
     */
    public void setJugdeTolconvicted(String jugdeTolconvicted) {
        this.jugdeTolconvicted = jugdeTolconvicted;
    }

    /**
     * 综合判定标准集合（CIC+PIC+SIC==)工艺文件中交货标准集合
     * @return value
     */
    public String getJudgeTolstdDes() {
        return judgeTolstdDes;
    }

    /**
     * 综合判定标准集合（CIC+PIC+SIC==)工艺文件中交货标准集合
     * @param judgeTolstdDes value
     */
    public void setJudgeTolstdDes(String judgeTolstdDes) {
        this.judgeTolstdDes = judgeTolstdDes;
    }

    /**
     * 综合判定结果代码

     * @return value
     */
    public String getJudgeTolresultCode() {
        return judgeTolresultCode;
    }

    /**
     * 综合判定结果代码

     * @param judgeTolresultCode value
     */
    public void setJudgeTolresultCode(String judgeTolresultCode) {
        this.judgeTolresultCode = judgeTolresultCode;
    }

    /**
     * 综合判定时间
     * @return value
     */
    public String getJudgeTolresultTime() {
        return judgeTolresultTime;
    }

    /**
     * 综合判定时间
     * @param judgeTolresultTime value
     */
    public void setJudgeTolresultTime(String judgeTolresultTime) {
        this.judgeTolresultTime = judgeTolresultTime;
    }

    /**
     * 综合判定人
     * @return value
     */
    public String getJudgeTolmaker() {
        return judgeTolmaker;
    }

    /**
     * 综合判定人
     * @param judgeTolmaker value
     */
    public void setJudgeTolmaker(String judgeTolmaker) {
        this.judgeTolmaker = judgeTolmaker;
    }

    /**
     * 综合判定备注
     * @return value
     */
    public String getJudgeTolmemo() {
        return judgeTolmemo;
    }

    /**
     * 综合判定备注
     * @param judgeTolmemo value
     */
    public void setJudgeTolmemo(String judgeTolmemo) {
        this.judgeTolmemo = judgeTolmemo;
    }
    
    public String getFaceResultCode() {
		return faceResultCode;
	}

	public void setFaceResultCode(String faceResultCode) {
		this.faceResultCode = faceResultCode;
	}

	public String getSpecResultCode() {
		return specResultCode;
	}

	public void setSpecResultCode(String specResultCode) {
		this.specResultCode = specResultCode;
	}

	public String getChemResultCode() {
		return chemResultCode;
	}

	public void setChemResultCode(String chemResultCode) {
		this.chemResultCode = chemResultCode;
	}

	public String getPhyResultCode() {
		return phyResultCode;
	}

	public void setPhyResultCode(String phyResultCode) {
		this.phyResultCode = phyResultCode;
	}

	public String getDetectResultCode() {
		return detectResultCode;
	}

	public void setDetectResultCode(String detectResultCode) {
		this.detectResultCode = detectResultCode;
	}

	public String getWpressureResultCode() {
		return wpressureResultCode;
	}

	public void setWpressureResultCode(String wpressureResultCode) {
		this.wpressureResultCode = wpressureResultCode;
	}

	public String getProcessResultCode() {
		return processResultCode;
	}

	public void setProcessResultCode(String processResultCode) {
		this.processResultCode = processResultCode;
	}
}
